## ros-indigo-jsk-visualization 2.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_visualization)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-jsk-visualization (2.1.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-indigo-jsk-visualization (2.1.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-indigo-jsk-visualization (2.1.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-indigo-jsk-visualization (2.1.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-indigo-jsk-visualization (2.1.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-indigo-jsk-visualization (2.1.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Feb 2017 00:00:00 -0000

ros-indigo-jsk-visualization (2.0.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-indigo-jsk-visualization (2.0.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.34-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Sep 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.33-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.32-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 20 Jul 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.31-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 19 May 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.30-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 25 Mar 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.29-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.28-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.27-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 08 Dec 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.26-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 03 Dec 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.25-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.24-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 08 Sep 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.23-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 15 Jul 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.22-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 24 Jun 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.21-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.20-0trusty) trusty; urgency=high

  * [jsk_visualization] Add jsk_visualization meta package
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 May 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.19-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Apr 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.18-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Jan 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.17-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.16-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 04 Jan 2015 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.15-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 13 Dec 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.14-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 09 Dec 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.13-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.12-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 23 Sep 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.11-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Sep 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.10-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 13 Sep 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Sep 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 04 Sep 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 06 Aug 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 14 Jul 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 29 Jun 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 31 May 2014 00:00:00 -0000

ros-indigo-jsk-visualization (1.0.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 22 May 2014 00:00:00 -0000



=== debian/control ===
Source: ros-indigo-jsk-visualization
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/jsk_visualization
Standards-Version: 3.9.2

Package: ros-indigo-jsk-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jsk-interactive, ros-indigo-jsk-interactive-marker, ros-indigo-jsk-interactive-test, ros-indigo-jsk-rqt-plugins, ros-indigo-jsk-rviz-plugins
Description: Metapackage that contains visualization package for jsk-ros-pkg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-visualization//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
